# DataExchange
TKSTEP209
StepElement

# StepElement_HArray1OfCurveElementEndReleasePacket Class Reference

`#include <StepElement_HArray1OfCurveElementEndReleasePacket.hxx>`

## Public Member Functions

Standard_EXPORT | StepElement_HArray1OfCurveElementEndReleasePacket (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepElement_HArray1OfCurveElementEndReleasePacket (const Standard_Integer Low, const Standard_Integer Up, const Handle(StepElement_CurveElementEndReleasePacket)&V)
Standard_EXPORT void | Init (const Handle(StepElement_CurveElementEndReleasePacket)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepElement_CurveElementEndReleasePacket)&Value)
const Handle_StepElement_CurveElementEndReleasePacket & | Value (const Standard_Integer Index) const
Handle_StepElement_CurveElementEndReleasePacket & | ChangeValue (const Standard_Integer Index)
const StepElement_Array1OfCurveElementEndReleasePacket & | Array1 () const
StepElement_Array1OfCurveElementEndReleasePacket & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepElement_Array1OfCurveElementEndReleasePacket | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepElement_HArray1OfCurveElementEndReleasePacket::StepElement_HArray1OfCurveElementEndReleasePacket | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepElement_HArray1OfCurveElementEndReleasePacket::StepElement_HArray1OfCurveElementEndReleasePacket | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(StepElement_CurveElementEndReleasePacket)& | V
| ) |

## Member Function Documentation

const StepElement_Array1OfCurveElementEndReleasePacket& StepElement_HArray1OfCurveElementEndReleasePacket::Array1 | ( |  | ) | const

StepElement_Array1OfCurveElementEndReleasePacket& StepElement_HArray1OfCurveElementEndReleasePacket::ChangeArray1 | ( |  | ) |

Handle_StepElement_CurveElementEndReleasePacket& StepElement_HArray1OfCurveElementEndReleasePacket::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepElement_HArray1OfCurveElementEndReleasePacket::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepElement_HArray1OfCurveElementEndReleasePacket::Init | ( | const Handle(StepElement_CurveElementEndReleasePacket)& | V | ) |

Standard_Integer StepElement_HArray1OfCurveElementEndReleasePacket::Length | ( |  | ) | const

Standard_Integer StepElement_HArray1OfCurveElementEndReleasePacket::Lower | ( |  | ) | const

void StepElement_HArray1OfCurveElementEndReleasePacket::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepElement_CurveElementEndReleasePacket)& | Value
| ) |

Standard_Integer StepElement_HArray1OfCurveElementEndReleasePacket::Upper | ( |  | ) | const

const Handle_StepElement_CurveElementEndReleasePacket& StepElement_HArray1OfCurveElementEndReleasePacket::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepElement_Array1OfCurveElementEndReleasePacket StepElement_HArray1OfCurveElementEndReleasePacket::myArray `[private]`

The documentation for this class was generated from the following file:

- StepElement_HArray1OfCurveElementEndReleasePacket.hxx